#include "class.h"

risc::Class::Class(SgClassDefinition *ast_node):
  Definition(ast_node)
{
}

SgClassDefinition*
risc::Class::get_ast_node()
{
  return isSgClassDefinition(ast_node_);
}

std::string
risc::Class::get_ast_type_name()
{
  return get_ast_node()->get_qualified_name().getString();
}

std::string risc::Class::get_name()
{
  return SageInterface::get_name(get_ast_node());
}

/* ex: set softtabstop=2 tabstop=2 shiftwidth=2 expandtab: */
