#ifndef INSTANCE_H_INCLUDED_
#define INSTANCE_H_INCLUDED_

#include <string>

#include "object.h"

namespace risc {

class Module;

/**
 * //FIXME Document ME!
 */
class Instance: public Object{

public:

  /**
   * \brief Default constructor
   */
  explicit Instance(SgVariableDefinition *ast_node);

  /**
   * \brief Get function for the name of the ast type of the module instance
   * \return Name as std::string
   */
  virtual std::string get_ast_type_name();

private:
  /**
   * \brief Disabled copy constructor
   */
  Instance(const Instance &i);
};

};

#endif /* INSTANCE_H_INCLUDED_ */

/* ex: set softtabstop=2 tabstop=2 shiftwidth=2 expandtab: */
