#include "primitive_channel_instance.h"

risc::PrimitiveChannelInstance::PrimitiveChannelInstance(
    SgVariableDefinition *ast_node, PrimitiveChannelDefinition *definition):
  ChannelInstance(ast_node),
  definition_(definition)
{
}

std::string
risc::PrimitiveChannelInstance::get_ast_type_name()
{
  return get_ast_node()->get_vardefn()->get_typeptr()->unparseToString().substr(17);
}

/* ex: set softtabstop=2 tabstop=2 shiftwidth=2 expandtab: */
